glibmm: Glib::OptionError Class Reference

glibmm 2.74.0

Public Types | Public Member Functions | List of all members
Glib::OptionError Class Reference

Exception class for options. More...

`#include <glibmm/optioncontext.h>`

Inheritance diagram for Glib::OptionError:
[legend]

## Public Types
enum | Code { UNKNOWN_OPTION , BAD_VALUE , FAILED }
| Error codes returned by option parsing. More...

## Public Member Functions
| OptionError (Code error_code, const Glib::ustring & error_message)
| OptionError (GError * gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring & message)
| Error (GError * gobject, bool take_copy=false)
| Error (const Error & other)
Error & | operator= (const Error & other)
| ~Error () noexcept override
| operator bool () const
| Test whether the Error has an underlying instance. More...
GQuark | domain () const
int | code () const
const char * | what () const noexcept override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
virtual const char * | what () const noexcept

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for options.

## Member Enumeration Documentation

## ◆ Code

enum Glib::OptionError::Code

Error codes returned by option parsing.

Enumerator
UNKNOWN_OPTION | An option was not known to the parser. This error will only be reported, if the parser hasn't been instructed to ignore unknown options, see g_option_context_set_ignore_unknown_options().
BAD_VALUE | A value couldn't be parsed.
FAILED | A OptionArgFunc callback failed.

## Constructor & Destructor Documentation

## ◆ OptionError() [1/2]

Glib::OptionError::OptionError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

## ◆ OptionError() [2/2]

Glib::OptionError::OptionError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Glib::OptionError::code | ( |  | ) | const